__UNREGISTER_CHRDEV(9)

NAME
__unregister_chrdev - unregister and destroy a cdev

SYNOPSIS

void __unregister_chrdev(unsigned int major, unsigned int baseminor, unsigned int count, const char * name);

ARGUMENTS

major
    major device number

baseminor
    first of the range of minor numbers

count
    the number of minor numbers this cdev is occupying

name
    name of this range of devices

DESCRIPTION

Unregister and destroy the cdev occupying the region described by major, baseminor and count. This function undoes what __register_chrdev did.

COPYRIGHT